Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.KeyboardModifier

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.KeyboardModifier

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.KeyboardModifier

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.KeyboardModifier` | `AltModifier`
`static Qt.KeyboardModifier` | `ControlModifier`
`static Qt.KeyboardModifier` | `GroupSwitchModifier`
`static Qt.KeyboardModifier` | `KeyboardModifierMask`
`static Qt.KeyboardModifier` | `KeypadModifier`
`static Qt.KeyboardModifier` | `MetaModifier`
`static Qt.KeyboardModifier` | `NoModifier`
`static Qt.KeyboardModifier` | `ShiftModifier`

Method Summary
`static Qt.KeyboardModifiers` | `createQFlags(Qt.KeyboardModifier[] values)` This function creates a com.trolltech.qt.core.Qt$KeyboardModifiers with the specified `com.trolltech.qt.core.Qt$KeyboardModifier[]` KeyboardModifier values set.
`static Qt.KeyboardModifier` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.KeyboardModifier` | `valueOf(java.lang.String name)`
`static Qt.KeyboardModifier[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoModifier

    public static final Qt.KeyboardModifier NoModifier

### ShiftModifier

    public static final Qt.KeyboardModifier ShiftModifier

### ControlModifier

    public static final Qt.KeyboardModifier ControlModifier

### AltModifier

    public static final Qt.KeyboardModifier AltModifier

### MetaModifier

    public static final Qt.KeyboardModifier MetaModifier

### KeypadModifier

    public static final Qt.KeyboardModifier KeypadModifier

### GroupSwitchModifier

    public static final Qt.KeyboardModifier GroupSwitchModifier

### KeyboardModifierMask

    public static final Qt.KeyboardModifier KeyboardModifierMask

Method Detail

### values

    public static Qt.KeyboardModifier[] values()

### valueOf

    public static Qt.KeyboardModifier valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.KeyboardModifiers createQFlags(Qt.KeyboardModifier[] values)

  This function creates a com.trolltech.qt.core.Qt$KeyboardModifiers with the specified `com.trolltech.qt.core.Qt$KeyboardModifier[]` KeyboardModifier values set.

### resolve

    public static Qt.KeyboardModifier resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD